'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.slug = slug;
exports.truncate = truncate;
exports.stripMarkdown = stripMarkdown;
exports.snippet = snippet;

var _removeMarkdown = require('remove-markdown');

var _removeMarkdown2 = _interopRequireDefault(_removeMarkdown);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function slug(str) {
	if (!str) {
		return '';
	}

	return str.toLowerCase().replace(/ /ig, '-');
}

function truncate(str, len) {
	if (!str) {
		return '';
	}

	return str.substr(0, len || 250);
}

function stripMarkdown(str) {
	if (!str) {
		return '';
	}

	return (0, _removeMarkdown2.default)(str);
}

function snippet(str, len) {
	if (!str) {
		return '';
	}

	return truncate(stripMarkdown(str), len);
}